Subject: bug#77048: 30.1; Macro `cl-load-time-value` malfunctioning at compile-time and runtime

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Mar 2025 14:30:53 +0200

> Date: Sun, 16 Mar 2025 15:21:06 +0800
> From:  Bohong Huang via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Hello Emacs maintainers,  
> 
> When using `cl-load-time-value` from `cl-lib`, I encountered an issue
> where the macro fails during both byte-compilation and runtime:
> 
> `reference to free variable ‘--cl-load-time--0’`  

I'm guessing your Lisp file doesn't have the lexical-binding cookie.
If it did, you should have seen a different warning.

> I find this macro is quite useful for performing compile-time
> computations within a function body without polluting global variable
> names and relying on `cl-macrolet`.

Stefan, any comments?